Skip to main content
GET
/
workflows
/
executions
/
{executionId}
/
reconnect
Get a short-lived public run token to reconnect to a suspended execution
curl --request GET \
  --url https://api.artu.ai/workflows/executions/{executionId}/reconnect \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "runId": "<string>",
  "publicRunToken": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

executionId
string<uuid>
required

Response

200 - application/json

OK

executionId
string<uuid>
required
runId
string
required
publicRunToken
string
required